Read and Review Automation Anywhere Documentation

Automation Anywhere IQ Bot

Close Contents

Contents

Open Contents

IQ Bot 11.x: RabbitMQ v3.8.18 and Erlang/OTP upgrade

  • Updated: 2022/08/30
    • 11.3.x
    • Install
    • IQ Bot

IQ Bot 11.x: RabbitMQ v3.8.18 and Erlang/OTP upgrade

The IQ Bot Version 11.3.x installation package includes the RabbitMQ v3.8.18 version 3.7.17 and Erlang/OTP version 22.0.

For Automation 360 IQ Bot, ensure that you download the Microsoft Visual C++ Redistributable 2017 x64 version because it is required for the latest version of Erlang/OTP.

The following information explains different scenarios for upgrading RabbitMQ v3.8.18/Erlang/OTP:
  • Fresh installation of IQ Bot Version 11.3.x:

    For a fresh installation, you do not have to perform any additional steps, as RabbitMQ v3.8.18 Erlang/OTP are included in the IQ Bot Version 11.3.x installation package. These get installed automatically on the machine during the installation process.

  • Upgrade from previous version of IQ Bot to Version 11.3.x:

    Uninstall the earlier version of RabbitMQ v3.8.18 / Erlang/OTP.

  • An earlier version of RabbitMQ v3.8.18/Erlang/OTP exists on the machine and the user wants to upgrade to the latest versions:

    You need to manually remove any older versions from the system using a batch utility file provided by Automation Anywhere. Contact the Automation Anywhere Support team to get the utility. You can then proceed with installing IQ Bot Version 11.3.x.

Send Feedback